fragen stichworte

Yum-Probleme mit Easy Apache - Der Systempaket-Manager des Servers (YUM) ist fehlgeschlagen.

Ich erhalte beim Easy Appache

immer den folgenden Fehler

!! Der Systempaket-Manager des Servers 'YUM' ist fehlgeschlagen. !

!! 
This is the command that failed: yum -y install gettext automake19 libstdc++.x86_64 libpng-devel readline-devel openssl libpng-dev zlib-devel autoconf261 libidn-devel gmake libidn libXpm openssl-devel automake coreutils patch libltdl3-devel libltdl libopenssl0.9.7-static-devel readline-dev libtool-ltdl-devel libXpm-devel sed libXpm-dev lsof krb5-dev flex glibc-dev expat-dev krb5-devel libstdc++-devel.x64_64 xorg-x11-devel libtool-ltdl libssl-dev pam-devel libopenssl0-devel zlib1-devel expat-devel libopenssl0-dev glibc-devel expat gcc-c++ zlib bison libjpeg-devel libtool-libltdl-devel libtool openssl-dev libopenssl0 libz-devel libjpeg-dev pam-dev fileutils libltdl-devel libopenssl0.9.7-devel e2fsprogs-devel ca_root_nss make libstdc++-dev.x86_64 libX11-devel libstdc++-devel.x86_64 gd cpp xorg-x11-dev gcc ssl-dev lex autoconf !!

!! 
Since EasyApache was unable to resolve it automatically you should: 1) Manually run the failed YUM command (shown above) via SSH 2) See if your particular error is addressed at http://go.cpanel.net/eaerror 3) Resolve the YUM problem manually 4) Re-run EasyApache !!

!! Please visit http://go.cpanel.net/eaerror for help with this error. !!

!! Restoring original working apache !!

Ich bekomme diese Fehler immer wieder

Ich versuche folgendes

yum clean headers

yum clean packages

yum clean metadata

yum clean dbcache

yum clean all

und ich versuche,

yum -y update

ERROR with rpm_check_debug vs depsolve:
httpd-mmn = 20051115 is needed by mod_dav_svn-1.6.11-9.el6_4.x86_64
** Found 3 pre-existing rpmdb problem(s), 'yum check' output follows:
frontpage-2002-SR1.2.i386 has missing requires of libexpat.so.0
mod_dav_svn-1.6.11-2.el6_1.4.x86_64 has missing requires of httpd-mmn = ('0', '20051115', 
None)
sendmail-cf-8.14.4-8.el6.noarch has missing requires of sendmail = ('0', '8.14.4', '8.el6')
Your transaction was saved, rerun it with: yum load-transaction/tmp/yum_save_tx

Wenn ich einen yum check mache, bekomme ich

yum check
Loaded plugins: fastestmirror
frontpage-2002-SR1.2.i386 has missing requires of libexpat.so.0
mod_dav_svn-1.6.11-2.el6_1.4.x86_64 has missing requires of httpd-mmn = ('0', '20051115', None)
msttcorefonts-2.5-1.noarch is obsoleted by msttcore-fonts-2.0-3.noarch
sendmail-cf-8.14.4-8.el6.noarch has missing requires of sendmail = ('0', '8.14.4', '8.el6')
Error: check all

antworten

Wir haben gerade mehrere Stunden damit verbracht, genau dieses Problem zu bekämpfen und fanden heraus, dass die Lösung völlig unabhängig von der Fehlermeldung war ... und es so viel schwieriger zu finden war.

Unsere Lösung: Die installierte Version von cPanel und WHM war veraltet.

Wir gingen in die WHM-Menüs und klickten Upgrade to Latest Version, was etwa 10 Minuten dauerte und dann funktionierte die EasyApache-Installation perfekt.

Hoffe, das hilft.

Es kann vorkommen, dass ich einige unvollständige Transaktionen mit yum gemacht habe Befehle

yum-complete-Transaktionen

yum entferne yum-utils

yum installiere yum-utils